/*-*- Mode: C; Package: C-user -*-
/*>
 *> *****************************************************************************************
 *> ** (c) Copyright 1993-1989 Symbolics, Inc.  All rights reserved.
 *> ** Portions of font library Copyright (c) 1984 Bitstream, Inc.  All Rights Reserved.
 *>
 *>    The software, data, and information contained herein are proprietary 
 *> to, and comprise valuable trade secrets of, Symbolics, Inc., which intends 
 *> to keep such software, data, and information confidential and to preserve 
 *> them as trade secrets.  They are given in confidence by Symbolics pursuant 
 *> to a written license agreement, and may be used, copied, transmitted, and 
 *> stored only in accordance with the terms of such license.
 *> 
 *> Symbolics, Symbolics 3600, Symbolics 3670 (R), Symbolics 3675 (R), Symbolics
 *> 3630, Symbolics 3640, Symbolics 3645 (R), Symbolics 3650 (R), Symbolics 3653,
 *> Symbolics 3620 (R), Symbolics 3610 (R), Symbolics Common Lisp (R),
 *> Symbolics-Lisp (R), Zetalisp (R), Genera (R), Wheels (R), Dynamic Windows (R),
 *> SmartStore (R), Semanticue (R), Frame-Up (R), Firewall (R), Document Examiner (R),
 *> Delivery Document Examiner, "Your Next Step in Computing" (R), Ivory, MacIvory,
 *> MacIvory model 1, MacIvory model 2, MacIvory model 3, XL400, XL1200, XL1201,
 *> Symbolics UX400S, Symbolics UX1200S, NXP1000, Symbolics C, Symbolics Pascal (R),
 *> Symbolics Prolog, Symbolics Fortran (R), CLOE (R), CLOE Application Generator,
 *> CLOE Developer, CLOE Runtime, Common Lisp Developer, Symbolics Concordia, Joshua,
 *> Statice (R), and Minima are trademarks of Symbolics, Inc.
 *> 
 *> RESTRICTED RIGHTS LEGEND
 *>    Use, duplication, and disclosure by the Government are subject to restrictions 
 *> as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data and Computer 
 *> Software Clause at DFAR 52.227-7013.
 *> 
 *>      Symbolics, Inc.
 *>      6 Concord Farms
 *>      555 Virginia Road
 *>      Concord, Massachusetts 01742-2727
 *>      United States of America
 *>      508-287-1000
 *>
 *> *****************************************************************************************
 *>
 */

/*
 * $Log:	genera.h,v $
 * Revision 2.5.1.2  93/02/01  12:56:05  kaufman
 * Update copyright notices
 * 
 * Revision 2.5.1.1  93/02/01  11:51:55  kaufman
 * Baseline for distributed software
 * 
 * Revision 2.5  93/02/01  11:41:03  kaufman
 * Baseline for Genera 8.3
 * 
 *
 */

#if !defined(lint) && defined(INCLUDE_FILE_HEADERS)
static char *boot_rcsid = "@(#)$Header: /usr/share/local/symbolics/src/RCS/genera.h,v 2.5.1.2 93/02/01 12:56:05 kaufman Rel $";
#endif

/* RPC boolean-or-unspecified kludge */
#define UNSPEC 0
#define T      1
#define NIL    2

struct x_params {
  char *xp_host_name, *xp_geometry;
  char *xp_foreground_color, *xp_background_color, *xp_border_color;
  long xp_host_address;
  int xp_display, xp_screen;
  int xp_iconic, xp_border_width;
  /* For CL only */
  char *(*xp_name_fn)(), *xp_icon_name, *xp_device_name;
};

/* Flag bits */
#define FL_DISABLE_FEP_TIMER 1
#define FL_LOOKUP_GUEST_ADDRESS 2
#define FL_FORCE 4
#define FL_VERBOSE 8
#define FL_NO_CONSOLE 16
#define FL_FIRST_PASS 32
#define FL_SILENT 64
#define FL_ANY_IVORY 128
#define FL_IVORY_PRELOCKED 256
#define FL_LOCK_REQUIRED 512

extern char *note_name;
#define NOTE(msg) if (!(flags & FL_SILENT)) printf("%s on %s\n", msg, note_name);
