/* -*- Mode: C; Package: C-USER; Search-list: RPC -*- */


/* Server portion of SOLSTICE-EMBEDDED-SERIAL remote module version 1
   Generated from S:>rel-8-3>sys>serial>serial-rpc.lisp.5
   by dodds on Thursday the twelfth of November, 1992; 9:29:01 pm */

#include "RPC.h"

static OSErr open_solstice_serial_unit_handler PROTO_ARGS((XDRAgent the_XDRAgent,
                                                           long TransactionID,
                                                           XDRBlock CallXDRBlock,
                                                           long * the_XDRPointer,
                                                           long * XDRLimit));

static OSErr open_solstice_serial_unit_handler(the_XDRAgent,
                                               TransactionID,
                                               CallXDRBlock,
                                               the_XDRPointer,
                                               XDRLimit) 
XDRAgent the_XDRAgent;
long TransactionID;
XDRBlock CallXDRBlock;
long * the_XDRPointer;
long * XDRLimit;
{ XDRAgent XDR_Agent = the_XDRAgent;
  register long * XDRPointer = the_XDRPointer;
  typedef struct
  { long length;
    long element[STRUCT_POINTER_SIZE];
    }
  * integer_32_vector;
  long idx_tem_1, length_tem_1;
  OSErr system_error_code = noErr;
  
  char * unit;
  unsigned short protocol_version;
  long guest_unit;
  long channel;
  long uid;
  long gid;
  integer_32_vector gids;
  length_tem_1 = *(XDRPointer++);
  unit = (char *)XDRPointer - 1;
  CopyMemory((void *)(unit + 1), (void *)unit, length_tem_1);
  unit[length_tem_1] = 0;
  XDRPointer += (length_tem_1 + 3) >> 2;
  protocol_version = (unsigned short)*(XDRPointer++);
  guest_unit = *(XDRPointer++);
  channel = *(XDRPointer++);
  uid = *(XDRPointer++);
  gid = *(XDRPointer++);
  gids = (void *)XDRPointer;
  XDRPointer += (gids->length + 0) / 1 + 1;
  XDRVerifyPointer(XDRPointer, XDRLimit);
  { XDRBlock ReplyXDRBlock;
    unsigned long baud_rates[30];
    unsigned short readable_control_lines, writable_control_lines;
    OSErr error_code;
    error_code = open_serial_unit_internal(unit, protocol_version,
                                           guest_unit,
                                           channel,
                                           uid, gid,
                                           gids, baud_rates,
                                           &readable_control_lines,
                                           &writable_control_lines);
    if(error_code == 0)
    { system_error_code = XDRInitiateReply(XDR_Agent,
                                           TransactionID,
                                           (long)30 + 1 + 1,
                                           &ReplyXDRBlock,
                                           &the_XDRPointer,
                                           &XDRLimit);
      if(system_error_code)goto _end_;
      XDRPointer = the_XDRPointer;
      for(idx_tem_1 = 0;
          idx_tem_1 < 30;
          idx_tem_1++)
      { * (XDRPointer++) = (long)baud_rates[idx_tem_1];
        };
      *(XDRPointer++) = (unsigned short)readable_control_lines;
      *(XDRPointer++) = (unsigned short)writable_control_lines;
      XDRVerifyPointer(XDRPointer, XDRLimit);
      system_error_code = XDRSendReply(XDR_Agent, ReplyXDRBlock);
      if(system_error_code)goto _end_;
      }
    else { system_error_code = error_code;
      goto _end_;
      };
    _end_ :;
    }
  return(system_error_code);
  }

static OSErr solstice_embedded_serial_server PROTO_ARGS((XDRAgent agent,
                                                         long TransactionID,
                                                         long entry_number,
                                                         XDRBlock block,
                                                         long * pointer,
                                                         long * limit));


static OSErr solstice_embedded_serial_server(agent,
                                             TransactionID,
                                             entry_number,
                                             block,
                                             pointer,
                                             limit) 
XDRAgent agent;
long TransactionID, entry_number;
XDRBlock block;
long * pointer;
long * limit;
{ register FunctionPtr handler;
  switch((int)entry_number)
  { case 10 : handler = open_solstice_serial_unit_handler;
    break;
    default : return(RPC_PROC_UNAVAIL);
    };
  return((*handler)(agent, TransactionID, block, pointer,
                    limit));
  }


extern OSErr initialize_solstice_embedded_serial_server PROTO_ARGS((void));

OSErr initialize_solstice_embedded_serial_server()
{ return(RegisterModule((long)0x7F000145, (long)1, solstice_embedded_serial_server));
  }
