/* -*- Mode: C; Package: C-USER; Search-list: RPC -*- */


/* Server portion of UX400-RUN-LIGHTS remote module version 1
   Generated from S:>rel-8-3>sys>embedding>ux>rpc-services.lisp.30
   by dodds on Thursday the twelfth of November, 1992; 7:57:02 pm */

#include "RPC.h"

static OSErr position_run_lights_on_x_window_handler PROTO_ARGS((XDRAgent the_XDRAgent,
                                                                 long TransactionID,
                                                                 XDRBlock CallXDRBlock,
                                                                 long * the_XDRPointer,
                                                                 long * XDRLimit));

static OSErr position_run_lights_on_x_window_handler(the_XDRAgent,
                                                     TransactionID,
                                                     CallXDRBlock,
                                                     the_XDRPointer,
                                                     XDRLimit) 
XDRAgent the_XDRAgent;
long TransactionID;
XDRBlock CallXDRBlock;
long * the_XDRPointer;
long * XDRLimit;
{ XDRAgent XDR_Agent = the_XDRAgent;
  register long * XDRPointer = the_XDRPointer;
  long length_tem_1, length_tem_2;
  OSErr system_error_code = noErr;
  
  char * address;
  char * network;
  short display_number;
  short screen_number;
  long window_id;
  short nlights;
  unsigned long width;
  unsigned long height;
  unsigned long x;
  unsigned long y;
  unsigned long dx;
  unsigned long dy;
  unsigned long foreground;
  unsigned long background;
  unsigned long plane_mask;
  length_tem_1 = *(XDRPointer++);
  address = (char *)XDRPointer - 1;
  CopyMemory((void *)(address + 1), (void *)address,
             length_tem_1);
  address[length_tem_1] = 0;
  XDRPointer += (length_tem_1 + 3) >> 2;
  length_tem_2 = *(XDRPointer++);
  network = (char *)XDRPointer - 1;
  CopyMemory((void *)(network + 1), (void *)network,
             length_tem_2);
  network[length_tem_2] = 0;
  XDRPointer += (length_tem_2 + 3) >> 2;
  display_number = (short)*(XDRPointer++);
  screen_number = (short)*(XDRPointer++);
  window_id = *(XDRPointer++);
  nlights = (short)*(XDRPointer++);
  width = (unsigned long)*(XDRPointer++);
  height = (unsigned long)*(XDRPointer++);
  x = (unsigned long)*(XDRPointer++);
  y = (unsigned long)*(XDRPointer++);
  dx = (unsigned long)*(XDRPointer++);
  dy = (unsigned long)*(XDRPointer++);
  foreground = (unsigned long)*(XDRPointer++);
  background = (unsigned long)*(XDRPointer++);
  plane_mask = (unsigned long)*(XDRPointer++);
  XDRVerifyPointer(XDRPointer, XDRLimit);
  { XDRBlock ReplyXDRBlock;
    position_run_lights(address, network, display_number,
                        screen_number, window_id, nlights,
                        width, height, x, y, dx, dy,
                        foreground, background, plane_mask);
    _end_ :;
    }
  return(system_error_code);
  }

static OSErr remove_run_lights_from_x_window_handler PROTO_ARGS((XDRAgent the_XDRAgent,
                                                                 long TransactionID,
                                                                 XDRBlock CallXDRBlock,
                                                                 long * the_XDRPointer,
                                                                 long * XDRLimit));

static OSErr remove_run_lights_from_x_window_handler(the_XDRAgent,
                                                     TransactionID,
                                                     CallXDRBlock,
                                                     the_XDRPointer,
                                                     XDRLimit) 
XDRAgent the_XDRAgent;
long TransactionID;
XDRBlock CallXDRBlock;
long * the_XDRPointer;
long * XDRLimit;
{ XDRAgent XDR_Agent = the_XDRAgent;
  register long * XDRPointer = the_XDRPointer;
  long length_tem_1, length_tem_2;
  OSErr system_error_code = noErr;
  
  char * address;
  char * network;
  short display_number;
  short screen_number;
  long window_id;
  length_tem_1 = *(XDRPointer++);
  address = (char *)XDRPointer - 1;
  CopyMemory((void *)(address + 1), (void *)address,
             length_tem_1);
  address[length_tem_1] = 0;
  XDRPointer += (length_tem_1 + 3) >> 2;
  length_tem_2 = *(XDRPointer++);
  network = (char *)XDRPointer - 1;
  CopyMemory((void *)(network + 1), (void *)network,
             length_tem_2);
  network[length_tem_2] = 0;
  XDRPointer += (length_tem_2 + 3) >> 2;
  display_number = (short)*(XDRPointer++);
  screen_number = (short)*(XDRPointer++);
  window_id = *(XDRPointer++);
  XDRVerifyPointer(XDRPointer, XDRLimit);
  { XDRBlock ReplyXDRBlock;
    remove_run_lights(address, network, display_number,
                      screen_number, window_id);
    _end_ :;
    }
  return(system_error_code);
  }

static OSErr ux400_run_lights_server PROTO_ARGS((XDRAgent agent,
                                                 long TransactionID,
                                                 long entry_number,
                                                 XDRBlock block,
                                                 long * pointer,
                                                 long * limit));


static OSErr ux400_run_lights_server(agent, TransactionID,
                                     entry_number, block,
                                     pointer, limit) 
XDRAgent agent;
long TransactionID, entry_number;
XDRBlock block;
long * pointer;
long * limit;
{ register FunctionPtr handler;
  switch((int)entry_number)
  { case 61 : handler = position_run_lights_on_x_window_handler;
    break;
    case 62 : handler = remove_run_lights_from_x_window_handler;
    break;
    default : return(RPC_PROC_UNAVAIL);
    };
  return((*handler)(agent, TransactionID, block, pointer,
                    limit));
  }


extern OSErr initialize_ux400_run_lights_server PROTO_ARGS((void));

OSErr initialize_ux400_run_lights_server()
{ return(RegisterModule((long)0x7F000143, (long)1, ux400_run_lights_server));
  }
